const memberController = require("../controllers").member;

module.exports = app => {
  app.get("/api", (req, res) =>
    res.status(200).send({
      message: "Welcome to the Pizza API!"
    })
  );

  app.post("/api/v1/user/register", memberController.register);
  app.put("/api/v1/user/login", memberController.login);
  app.get("/api/v1/user/forgot-password", memberController.forgotPassword);
  app.get("/api/v1/user/reset-password", memberController.resetPassword);
  app.delete("/api/v1/user/profile", memberController.profile);


};
